# Uses of Interface
org.opensaml.soap.wssecurity.Security

Packages that use Security
Package
Description
org.opensaml.soap.wssecurity.impl
XML Object provider implementations for WS-Security.

## Uses of Security in org.opensaml.soap.wssecurity.impl

Classes in org.opensaml.soap.wssecurity.impl that implement Security
Modifier and Type
Class
Description
`class`
`SecurityImpl`
SecurityImpl implements the <wsse:Security> header.
Methods in org.opensaml.soap.wssecurity.impl that return Security
Modifier and Type
Method
Description
`Security`
SecurityBuilder.`buildObject()`
Builds a WS-Security object of the given type.
`Security`
SecurityBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.